Bug 119192 - Text pasted from Impress to Writer switches CTL font to Western font in its style (see comment 5)
Summary: Text pasted from Impress to Writer switches CTL font to Western font in its s...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste
  Show dependency treegraph
 
Reported: 2018-08-10 07:43 UTC by russell
Modified: 2019-09-07 05:57 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
ODP with only one slide - Firefly (for testing) (911.70 KB, application/vnd.oasis.opendocument.presentation)
2018-08-10 12:32 UTC, Roman Kuznetsov
Details
4 screen captures of Font Name drop-down (89.47 KB, image/jpeg)
2018-08-10 18:46 UTC, russell
Details

Note You need to log in before you can comment on or make changes to this bug.
Description russell 2018-08-10 07:43:28 UTC
Description:
1. Font Name drop-down on the Text Formatting toolbar does not show correct font 
when expanded.

2. Copy/Paste font only copies formatting for 2 characters.

Steps to Reproduce:
After reading a reddit entry on multiple ways to add equations, I started researching advanced font features. It was an entry in the LO 6.1 release announcement thread.

Link: https://www.reddit.com/r/linux/comments/95v5m7/we_are_the_document_foundation_and_we_just/e3vwk6e/

In the link above, a site was mentioned, and I used a document from that site for experimenting: http://numbertext.org/linux/Lively_Alphabet.odp

All examples use: Lively_Alphabet.odp

First.

When I clicked in the slide's text box for the word "FireFly", the Font Name drop-down showed "Linux Libertine Display G".  I hovered over the Font Name drop-down to see the popup text. It simply said, "Font Name". This worked as expected.

However, when I clicked inside the Font Name drop-down, the "Linux Libertine Display G" was not in the display. The first font in the list was a font I used in a previous LibreOffice session. I expected to see "Linux Libertine Display G".

Next.

Still in Impress, I positioned the cursor at the beginning of the word "Firefly". Using the right arrow key, I moved one character at a time. I watched the Font Name drop-down box.  The value did not change. Worked as expected. But what was not expected, it changes in Writer. See next step.

Next.

I highlighted the text and clicked ctrl-c to copy the word "Firefly", and then selected File > New > Text Document.  In the new Writer document, I typed ctrl-v to paste the word "Firefly".

I repeated the step where I positioned the cursor at the beginning of the word "Firefly". The Font Name was initially correct (same as in the Impress document). As I moved the cursor to the right, the Font Name in the drop-down changed and became italic. I only moved two characters right, "F" & "i", before this occurred. I hovered over the Font Name drop-down and the popup said,  "Current font is not available". I continued right and the font remained unavailable.  

I expected the entire word, "Firefly" to be "Linux Libertine Display G", like it was in Impress.

I did create a new slide in Impress and copy/pasted the word, and did the same test, and the entire word was "Linux Libertine Display G". It was only when I copied it to Writer that only 2 letters had that format.

I opened the same Impress document in 6.0.6.2 and immediately I could see the font name in the Font Name drop-down box was Italic.  When I did the copy/paste, the two character issue was the same, plus something really weird happened to F11 Styles and Formatting. By weird, I mean garbage styles. Unrecognizable text. This did not happen in 6.1.0.3.

This might be related: https://bugs.documentfoundation.org/show_bug.cgi?id=56363

Environment: LM 17.3, LibreOffice 6.1.0.3

Actual Results:
1. "Linux Libertine Display G" did not appear in the Font Name drop-down.

2. Only the first two characters of a word, that was copied from Impress to Writer, had the correct formatting. 

3. Only in 6.0.6.2, when word was copied from Impress to Writer, unrecognizable Style Formats were created (F11).

Expected Results:
1. When the Font Name drop-down arrow was clicked, expected to see  "Linux Libertine Display G".

2. When the word was copied from the Impress text box and pasted in a newly created Writer document, that the entire word's formatting would be copied too.

3. 6.0.6.2 to work like 6.1.0.3, which did not create unrecognizable style names.


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:
Comment 1 Roman Kuznetsov 2018-08-10 12:31:11 UTC
In LibreOffice 6.1.0.3 release on Windows 10:

1. I see in drop-down list correct name of font "Linux Libertine Display G"
2. If I copy Firefly from presentation to Writer, then really first symbol is "Linux Libertine Display G", but all another symbols are "Lohit Hindi", which doesn't install on my computer.
3. I didn't see style "Unrecognized text" in list of styles

ps: please will create new bugs differents for different problem. Don't need write about several problem in one bug. Thank you
Comment 2 Roman Kuznetsov 2018-08-10 12:32:29 UTC
Created attachment 144088 [details]
ODP with only one slide - Firefly (for testing)
Comment 3 russell 2018-08-10 18:46:30 UTC
Created attachment 144092 [details]
4 screen captures of Font Name drop-down

Please see the attached image.

I did one more test.  I moved my Libreoffice profile to a backup name and
restarted Libreoffice with a new profile.  On linux the profile is kept:
$HOME/.config/Libreoffice/4/user

I had to make three initial changes:
- Tools > Options > Libreoffice > View > Icon style: Elementary (Old: Breeze)
- View > Toolbars > Text Formatting (On)
- View > Toolbars > Drawing (Off)

When I clicked on the Font Name drop-down box, the font showed as
"Linux Libertine Display G".  This was a different result.

However, since this was a new profile, there were no known font.   

So I closed Impress and opened up Writer. I created two lines. The first line 
was formatted with Bitstream Vera Sans, the second Arial, and then I saved the 
document.  I really didn't care what the fonts were, I just wanted some known
fonts. When you do this Libreoffice puts these fonts at the top of the font 
list, separated from the entire list by a vertical bar.

Now I reopened the Lively_AlphabetonlyFirely.odp file and repeated the test.
The results were as originally reported.  The Font Name drop-down box shows
"Linux Libertine Display G", but when you expand it, it did not.

The 2-character copy issue worked the same in all tests.

NOTE: When I moved my original profile back, all the recently used documents
were gone. I had to restore the user directory from a system backup.

cd $HOME/.config/libreoffice/4
mv user user.today
# Do libreoffice test
mv user.today user
# Recently used files gone
Comment 4 russell 2018-08-10 18:49:21 UTC
Correction: In the previous message

"separated from the entire list by a vertical bar."

"vertical bar" should have been "horizontal bar".
Comment 5 Buovjaga 2018-09-06 16:15:09 UTC
(In reply to russell from comment #0)
> When I clicked in the slide's text box for the word "FireFly", the Font Name
> drop-down showed "Linux Libertine Display G".  I hovered over the Font Name
> drop-down to see the popup text. It simply said, "Font Name". This worked as
> expected.
> 
> However, when I clicked inside the Font Name drop-down, the "Linux Libertine
> Display G" was not in the display. The first font in the list was a font I
> used in a previous LibreOffice session. I expected to see "Linux Libertine
> Display G".

This is bug 92286.

For the 2nd issue:

If you open the style editor for Title in Impress, the CTL Font in the Font tab is "Lohit Hindi".
In the Writer pasted style, the Western font has changed to "Lohit Hindi" and CTL to Lib. Serif.

Repeating steps in shorter form:

1. Open http://numbertext.org/linux/Lively_Alphabet.odp
2. Copy the text Firefly from slide 8
3. Paste to Writer

Already confirmed with 3.3.0 on Windows.

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 033a68c49fe2b8aa397832d92d400eb0259ea809
CPU threads: 8; OS: Linux 4.18; UI render: default; VCL: gtk3_kde5; 
Locale: fi-FI (fi_FI.UTF-8); Calc: threaded
Built on September 5th 2018
Comment 6 QA Administrators 2019-09-07 05:57:26 UTC
Dear russell,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug